    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------------------
    028     * CategoryItemRendererState.java
    029     * ------------------------------
    030     * (C) Copyright 2003-2006, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes (since 20-Oct-2003):
    036     * ----------------------------
    037     * 20-Oct-2003 : Added series running total (DG);
    038     * ------------- JFREECHART 1.0.x ---------------------------------------------
    039     * 01-Dec-2006 : Updated API docs (DG);
    040     *
    041     */
    042
    043    package org.jfree.chart.renderer.category;
    044
    045    import org.jfree.chart.plot.PlotRenderingInfo;
    046    import org.jfree.chart.renderer.RendererState;
    047
    048    /**
    049     * An object that retains temporary state information for a
    050     * {@link CategoryItemRenderer}.
    051     */
    052    public class CategoryItemRendererState extends RendererState {
    053
    054        /** The bar width. */
    055        private double barWidth;
    056
    057        /** The series running total. */
    058        private double seriesRunningTotal;
    059
    060        /**
    061         * Creates a new object for recording temporary state information for a
    062         * renderer.
    063         *
    064         * @param info  the plot rendering info (<code>null</code> permitted).
    065         */
    066        public CategoryItemRendererState(PlotRenderingInfo info) {
    067            super(info);
    068            this.barWidth = 0.0;
    069            this.seriesRunningTotal = 0.0;
    070        }
    071
    072        /**
    073         * Returns the bar width.
    074         *
    075         * @return The bar width.
    076         *
    077         * @see #setBarWidth(double)
    078         */
    079        public double getBarWidth() {
    080            return this.barWidth;
    081        }
    082
    083        /**
    084         * Sets the bar width.  The renderer calculates this value and stores it
    085         * here - it is not intended that users can manually set the bar width.
    086         *
    087         * @param width  the width.
    088         *
    089         * @see #getBarWidth()
    090         */
    091        public void setBarWidth(double width) {
    092            this.barWidth = width;
    093        }
    094
    095        /**
    096         * Returns the series running total.
    097         *
    098         * @return The running total.
    099         *
    100         * @see #setSeriesRunningTotal(double)
    101         */
    102        public double getSeriesRunningTotal() {
    103            return this.seriesRunningTotal;
    104        }
    105
    106        /**
    107         * Sets the series running total (this method is intended for the use of
    108         * the renderer only).
    109         *
    110         * @param total  the new total.
    111         *
    112         * @see #getSeriesRunningTotal()
    113         */
    114        void setSeriesRunningTotal(double total) {
    115            this.seriesRunningTotal = total;
    116        }
    117
    118    }